TeamTalk 5 Java DLL: Client Error Handling

TeamTalk 5 Java DLL Version 5.12A

Loading...
Searching...
No Matches
Classes | Enumerations | Functions
Client Error Handling

This section explains how to handle errors occuring in the client instance or as a result of server commands. More...

## Classes

struct | BearWare.ClientErrorMsg

## Enumerations

enum | BearWare.ClientError : uint
| Errors which can occur either as a result of client commands or as a result of internal errors. More...

## Functions

static string | BearWare.TeamTalkBase.GetErrorMessage (ClientError nError)
| Get textual discription of an error message. More...

## Detailed Description

This section explains how to handle errors occuring in the client instance or as a result of server commands.

There are two types errors which can occur in the client, either server command error or internal errors. Section Client/Server Commands describes all the commands a client can issue to a server. If a server commands fails the client instance notifies the user application through the event TeamTalkBase.OnCmdError(). An example of a server command error could be to issue the TeamTalkBase.DoLogin() command with an incorrect password. The server will in this case respond with the error #ClientError.CMDERR_INVALID_ACCOUNT. The user application must be designed to process these errors so application users can be notified of errors.

Internal errors are errors due to failing devices. Currently only two such errors exist #ClientError.INTERR_SNDINPUT_FAILURE and #ClientError.INTERR_SNDOUTPUT_FAILURE.

## Enumeration Type Documentation

## ◆ ClientError

enum BearWare.ClientError : uint

Errors which can occur either as a result of client commands or as a result of internal errors.

Use TeamTalkBase.GetErrorMessage() to get a text-description of the error.

Definition at line 3028 of file TeamTalk.cs.

## Function Documentation

## ◆ GetErrorMessage()

static string BearWare.TeamTalkBase.GetErrorMessage | ( | ClientError | nError | ) |

static

Get textual discription of an error message.

Get a description of an error code posted by either OnCmdError or OnInternalError.

Parameters

  nError | The number of the error.

Returns
  A text description of the error.

See also
  OnCmdError
  OnInternalError

Definition at line 8107 of file TeamTalk.cs.